package be.yellowduck.jobs;

import org.springframework.beans.factory.annotation.*;
import org.springframework.stereotype.*;
import org.springframework.scheduling.annotation.*;
import be.yellowduck.model.*;
import be.yellowduck.services.*;

@Service
public class EmailSenderJob {
    
    @Autowired
    EmailService emailService;
    
    @Scheduled(fixedDelay = 10000)
    public void process() {
        
        System.out.println("Sending email");
        
        try {
            Email email = new Email();
            email.setFrom("pieter@yellowduck.be");
            email.setTo("pieter@shpartners.com");
            email.setSubject("hello from quartz and spring");
            email.setText("<b>Hello</b> email");
            emailService.sendEmail(email);
        } catch (Exception e) {
            e.printStackTrace();
        }
        
    }
    
}